Subject: bug#24368: 25.1; Assertion failure in attach_marker

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Sep 2016 20:52:57 +0300

> Date: Mon, 05 Sep 2016 19:34:13 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Obviously, the BUF_z vs BUF_Z_BYTE test should be done for the same
>  > buffer whose character and byte positions we compare in the
>  > assertions.
> 
> How?  In attach_frame, the buffer where the positions came from is not
> known.

It looks like the callers already take care of that?  Or did you find
a case where this is not happening?

> Anyway, I passed an extra boolean to attach_marker to fix that
> and now I get a similar assertion violation in temp_set_point_both.
> This is a can of worms :-(

Sorry, I guess you lost me: what did you try to fix and how?